<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
//******************************************************************
// Página llamada desde
//******************************************************************
header("Content-Type:text/html; charset=utf-8");

//Impide que la página sea vista desde el navegador.
If (!isset($_SESSION['MM_Username'])) 
{
   	header ("Location: modulos/inicio/index.php");
}

$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$id_alumno=$_GET['id_alumno'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Toma el id del alumno.
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Para tomar el id del alumno
if ($id_alumno=="") {
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where cedula='$cedula_usuario'";
	}
else {
    $sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
}

$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];

// Datos que tomo de la pagina oferta.php para buscar
// en la tabla oferta_academica.
$id_periodo=$_GET['id_periodo'];
$id_sede=$_GET['id_sede'];
$id_carrera=$_GET['id_carrera'];
$id_oferta=$_GET['id'];
$id_materia=$_GET['id_materia'];
$id_seccion=$_GET['id_seccion'];

$monto_pagado=$_GET['monto_pagado'];
$uc=$_GET['uc'];

// Busco valor de la Unidad Tributaria
$sql6="SELECT * FROM unidad_tributaria";
$rs6 = mysql_query($sql6, $cn) or die(mysql_error());
$row6 = mysql_fetch_assoc($rs6);
$ut=$row6['valor'];

$sql13 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
$rs13 = mysql_query($sql13, $cn) or die(mysql_error());
$row13 = mysql_fetch_assoc($rs13);
$costo_uc=$row13['costo_uc'];
$matricula=$row13['costo_inscripcion'];
$carrera=$row13['nombre_carrera'];

$sql103 = "SELECT * FROM periodos WHERE id_periodo='$id_periodo'";
$rs103 = mysql_query($sql103, $cn) or die(mysql_error());
$row103 = mysql_fetch_assoc($row103);
$periodo=$row103['codigo'];

// Verifico si tiene la materia seleccionada inscrita.
//$sql2 = "SELECT * FROM inscripciones WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND id_materia='$id_materia' AND id_seccion='$id_seccion' AND sede='$id_sede'";
$sql2 = "SELECT * FROM inscripciones WHERE  id_carrera='$id_carrera' AND id_materia='$id_materia' AND id_alumno='$id_alumno'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$cant = mysql_num_rows($rs2);
if ($cant==0){
	$id=$_GET['id'];
	// Toma los datos de la oferta acad�mica, para inscribir la materia al alumno.
	
	$sql3 = "SELECT * FROM oferta_academica WHERE id_carrera='$id_carrera' AND id_materia='$id_materia' AND sede='$id_sede' AND id_periodo='$id_periodo'";
	$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
	$row3 = mysql_fetch_assoc($rs3);

	/* $id_periodo=$row3['id_periodo'];
	$id_carrera=$row3['id_carrera'];
	$id_materia=$row3['id_materia']; */
	$id_seccion=$row3['id_seccion'];
	$id_docente=$row3['id_profesor'];
	// Toma la fecha actual.
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
    $fecha_hoy = cambioFecha($fecha2);   
	$annio=$fecha1[0];
	$fecha_inscripcion=join ("-",(array_reverse(split("-",$fecha_hoy))));
	

    // Inscribe la materia. 
	$sql13="INSERT INTO inscripciones (id_alumno,id_periodo,id_carrera,id_materia,id_seccion,sede,id_docente,fecha_inscripcion) VALUES('$id_alumno','$id_periodo','$id_carrera','$id_materia','$id_seccion','$id_sede','$id_docente','$fecha_inscripcion')";
	$rs13 = mysql_query($sql13, $cn) or die(mysql_error());
     
	//verifico si el alumno se encuentra en la tabla de historial_alumnos para ese periodo
	//sino se encuentra, guardo en la tabla de historial_alumnos.
	

	$sql4="SELECT * FROM historial_alumnos WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' and id_alumno='$id_alumno'";
	$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
	$cant4 = mysql_num_rows($rs4);
	// Calcula Deuda y Pagos realizados por el alumno para registralos en su historial
	// del alumno.
	if($cant4==0)
	  {
	    // Primera Vez que se inscribe el alumno en ese periodo.
		$deuda=(($uc*$costo_uc)*$ut)+$matricula;
		
		$situacion="M";	
		$sqlAddHA="INSERT INTO historial_alumnos (id_alumno, sede, id_periodo, id_carrera, fecha, annio, deuda, pagos, situacion) VALUES('$id_alumno','$id_sede','$id_periodo','$id_carrera','$fecha_inscripcion','$annio','$deuda','$monto_pagado', '$situacion')";
		$rsAddHA = mysql_query($sqlAddHA, $cn) or die(mysql_error());
	   
	    // Genera el Movimiento por la Inscripcion realizada.	
		for ($i=0;$i<12;$i++)
		 {
		   $digito=rand(0,9);
		   $referencia.=$digito;
		 }  
		 
		// Genera el Movimiento de Inscripcion.
		$tipo="IN";
		$concepto='INSCRIPCION EN CARRERA: '.$id_carrera.' PERIODO '.$periodo;
		$sqlAddMov="INSERT INTO movimientos (tipo,referencia,id_alumno, sede, id_periodo, id_carrera, concepto, monto, fecha) VALUES('$tipo','$referencia','$id_alumno','$id_sede','$id_periodo','$id_carrera','$concepto','$deuda','$fecha_inscripcion')";
		$rsAddMov = mysql_query($sqlAddMov, $cn) or die(mysql_error());
		
		// Determina si el alumno tiene deudas.	    
	    $sql404="SELECT * FROM deudas WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
		$rs404 = mysql_query($sql404, $cn) or die(mysql_error());
		$cant404 = mysql_num_rows($rs404);
		if($cant404==0)
		{
			// Incluye al alumno en el archivo de Deudas coloca morosidad en "M".
			$situacion='M';	
			$sqlAddDeuda="INSERT INTO deudas (id_alumno,id_sede,id_carrera,deuda,pagos,situacion) VALUES('$id_alumno','$id_sede','$id_carrera','$deuda','$monto_pagado','$situacion')";
			$rsAddDeuda = mysql_query($sqlAddDeuda, $cn) or die(mysql_error());	
		}	// Fin del if ($cant404)
		else
		// else del if($cant404==0). Actualiza la deuda.
		{
		    // Actualizo la deuda del Alumno.
			$sqlEditDeuda="UPDATE deudas SET deuda=deuda+'$deuda' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
			$rsEditDeuda = mysql_query($sqlEditDeuda, $cn) or die(mysql_error());
		
			// Actualizo el Monto Pagado por el alumno.
			$sqlEditPagos="UPDATE deudas SET pagos=pagos+'$monto_pagado' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
			$rsEditPagos = mysql_query($sqlEditPagos, $cn) or die(mysql_error());
			
			//Actualiza la situacion financiera del alumno.
		$sql8="UPDATE deudas SET situacion='S' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno' AND pagos>=deuda";
		$rs8 = mysql_query($sql8, $cn) or die(mysql_error());
	
		}
		
	} // Fin del If ($can4==0)
	else // Else del If ($can4==0)
	//************************************************************************************* 
	// Esto es cuando el alumno ya existe en historial alumnos para el periodo seleccionado.
	//*************************************************************************************
	{
		$deuda=(($uc*$costo_uc)*$ut);
		$sql7="UPDATE historial_alumnos SET deuda=deuda+'$deuda' WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' AND id_alumno='$id_alumno'";
		$rs7 = mysql_query($sql7, $cn) or die(mysql_error());
		
		$tipo='IN';
		$sqlEditMov="UPDATE movimientos SET monto=monto+'$deuda' WHERE tipo='$tipo' AND id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' AND id_alumno='$id_alumno'";
		$rsEditMov = mysql_query($sqlEditMov, $cn) or die(mysql_error());
		
	    // Actualiza la deuda del alumno.
		
		$sqlEditDeuda="UPDATE deudas SET deuda=deuda+'$deuda' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
		$rsEditDeuda = mysql_query($sqlEditDeuda, $cn) or die(mysql_error());
	}   // Fin del else del If ($can4==0)
	
	// Actualiza la situacion financiera del alumno.
		$sql8="UPDATE deudas SET situacion='S' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno' AND pagos>=deuda";
		$rs8 = mysql_query($sql8, $cn) or die(mysql_error());
	
	// Actualiza los Saldos a favor del alumno.
		$sql8="UPDATE deudas SET saldo_favor=(pagos-deuda) WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno' AND pagos>deuda";
		$rs8 = mysql_query($sql8, $cn) or die(mysql_error());
			
	 // Actualizo la tabla de oferta_academica (los cupos)
  $sql="UPDATE oferta_academica SET cupos=cupos - 1 WHERE id='$id'";
  $Result2 = mysql_query($sql, $cn) or die(mysql_error()); 
}
else
{
?>
<script type="text/javascript">
	alert("Materia ya está Inscrita");
    url="oferta.php?id_periodo="+'<?php echo $id_periodo; ?>'+"&id_sede="+'<?php echo $id_sede; ?>'+"&id_carrera="+'<?php echo $id_carrera; ?>'+"&monto_pagado="+'<?php echo $monto_pagado; ?>'+"&id_seccion="+'<?php echo $id_seccion; ?>'+"&id_materia="+'<?php echo $id_materia; ?>'+"&id_alumno="+'<?php echo $id_alumno; ?>';
window.open(url,'contenido');
</script>
<?php
}
?>

<script type="text/javascript">
url="oferta.php?id_periodo="+'<?php echo $id_periodo; ?>'+"&id_sede="+'<?php echo $id_sede; ?>'+"&id_carrera="+'<?php echo $id_carrera; ?>'+"&monto_pagado="+'<?php echo $monto_pagado; ?>'+"&id_seccion="+'<?php echo $id_seccion; ?>'+"&id_materia="+'<?php echo $id_materia; ?>'+"&id_alumno="+'<?php echo $id_alumno; ?>';
window.open(url,'contenido');
</script>


<?php
function cambioFecha($fecha)
{ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) 
	{ 
		$diaMes = substr($fecha,7,1); 
	} 
	else 
	{ 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
}     
?>